rails theme support

i have rails 1.2.5 installed
installed

gem install theme_generator
Need to update 21 gems from http://gems.rubyforge.org
.....................
complete
Successfully installed theme_generator-1.3.0

when started webrick got following error:

D:/workspace/ruby/depot/vendor/plugins/theme_support/lib/patches/routeset_ex.rb:26:in `create_theme_routes': undefined method `named_route' for #<ActionController::Routing::RouteSet:0x34947a8> (NoMethodError)

is this plugin incompatibile with my rails version ?

greets

http://www.gaugeus.com/ramblings/2007/11/4/adding-theme-support-to-a-ruby-on-rails-application